import fetch from '../utils/fetch';
import httpClient from '../utils/httpClient';

export function projectTree() {
    return fetch({
        url: global.contextPath + '-sqlcomputesvc/api/service/querySql',
        method: 'post',
        data: {
            'position': 'projectStructure_queryProjectTree',
            'paramMap': {},
        },
    });
}


export default {
    namespaced: true,
    state: {
        wbsList: []
    },
    mutations: {
        setWbsList(state, list) {
            state.wbsList = list;
        }
    },
    actions: {
        getWbsList({ commit }) {
            return new Promise(resolve => {
                httpClient(projectTree, function(error, result) {
                    result.forEach(item => {
                        if (item.parentId) {
                            //分期楼栋
                            item.label = item.name;
                        } else {
                            //项目
                            item.label = item.projectName;
                            item.parentId = null;
                        }
                    });
                    commit('setWbsList', result);
                    resolve(result);
                }, true);
            })
        }
    }
}